.header {
  &__container {
    font-family: var(--font-primary);
    font-weight: var(--font-weight-secondary);
    font-size: var(--font-size-lg);
    line-height: 1.3;
    min-height: 80px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #d1d2d6;
    padding: 0 104px;
  }

  &__nav-container {
    display: flex;
  }

  &__main-page {
    & .nav-menu__item:first-of-type {
      color: var(--color-white);
      box-shadow: inset 0 -3px var(--color-white);
    }
  }

  &__saved-article-page {
    background-color: var(--color-white);

    & .logo__icon path {
      fill: var(--color-dark-gray);
    }

    & .button {
      border: 1px solid var(--color-black);
      color: var(--color-black);
    }

    & .nav-menu__logout-icon path {
      fill: var(--color-dark-gray);
    }

    & .nav-menu__menu-icon path {
      fill: var(--color-dark-gray);
    }

    & .nav-menu__item {
      color: var(--color-black);
      padding: 0 32px;
      margin: 0;

      &:last-of-type {
        box-shadow: inset 0 -3px var(--color-black);
      }
    }
  }
}

@media screen and (width <= 1272px) {
  .header__container {
    padding: 0 80px;
  }
}

@media screen and (width <= 1106px) {
  .header__container {
    min-height: 66px;
    padding: 0 40px;
  }
}

@media screen and (width <= 766px) {
  .header {
    &__container {
      min-height: 56px;
      padding: 0 16px;
      transition: background-color 0.2s linear;
      position: relative;
    }

    &__main-page.header__dropdown-menu .nav-menu__item:first-of-type {
      box-shadow: none;
    }

    &__saved-article-page.header__dropdown-menu .nav-menu__item {
      color: var(--color-gray);

      &:last-of-type {
        color: var(--color-white);
        box-shadow: none;
      }

      &:hover {
        color: var(--color-white);
      }
    }

    &__dropdown-menu {
      width: 100%;
      z-index: 1;

      & .logo__icon path {
        fill: var(--color-white);
      }

      & .nav-menu__logout-icon path {
        fill: var(--color-white);
      }

      & .button {
        border: 1px solid var(--color-white);
        color: var(--color-white);

        &:hover {
          color: var(--color-gray);
          border-color: var(--color-gray);
        }
      }

      &::before {
        content: ' ';
        display: block;
        position: fixed;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        z-index: 1;
        background-color: rgb(0 0 0 / 50%);
        cursor: auto;
      }

      & .header__container {
        background-color: var(--color-dark-gray);
        z-index: 2;
      }

      & .nav-menu__navigation {
        opacity: 1;
      }

      & .nav-menu__list {
        visibility: visible;
        opacity: 1;
        cursor: auto;
      }
    }
  }
}
